/* Add your copyright here */

#ifndef __nd_template_h
#define __nd_template_h

#include <netdude/nd.h>
#include <netdude/nd_gettext.h>

/* These are the implementations of ND_Protocol's callbacks: */
GtkWidget *nd_template_create_gui(ND_Trace *trace, ND_ProtoInfo *pinf);
void       nd_template_set_gui(const ND_Packet *packet, ND_ProtoInfo *pinf);
void       nd_template_init_packet(ND_Packet *packet, guchar *data, guchar *data_end);
gboolean   nd_template_header_complete(const ND_Packet *packet, guint nesting);

/* Generic accessor function for the protocol implementation: */
ND_Protocol *nd_template_get(void);

/* Helper functions to set a trace's GUI table to a packet's content: */
void       nd_template_set_gui_field(ND_ProtoInfo *pinf, ND_Packet *packet);

#endif
